<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button class="btn btn-success ml-1" (click)="postInfo()" [disabled]="ngForm.invalid">
    <i class="fa fa-save mr-2"></i>Guardar
  </button>
  <button (click)="newRow()" class="btn btn-primary ml-1">
    <i class="fa fa-plus mr-2"></i>Reiniciar
  </button>
  <button class="btn btn-danger ml-1" [disabled]="!flagEdit" (click)="postInfo()" disabled>
    <i class="fas fa-trash-alt mr-2"></i>Eliminar
  </button>
</app-page-title>

<div class="card mb-3">
  <div class="card-body">

    <form [formGroup]="ngForm">
      <div class="row">
        <div class="col-3">
          <label class="w-100"># Cuarto</label>
          <div class="input-group">
            <input type="text" class="form-control" formControlName="Cuarto" readonly>
            <div class="input-group-append">
              <button class="btn btn-primary" (click)="openModal(modal)">
                <i class="fas fa-search"></i>
              </button>
            </div>
          </div>
        </div>
        <div class="col-3">
          <label class="w-100"># Folio</label>
          <div class="input-group">
            <input type="text" class="form-control" formControlName="Folio" readonly>
          </div>
        </div>
        <div class="col-3">
          <label class="w-100">Control</label>
          <div class="input-group">
            <input type="text" class="form-control" formControlName="Control">
          </div>
        </div>
        <div class="col-3">
          <label class="w-100">Nombre</label>
          <div class="input-group">
            <input type="text" class="form-control" formControlName="Nombre" readonly>
          </div>
        </div>
        <div class="col-3">
          <label class="w-100">Pasaporte</label>
          <div class="input-group">
            <input type="text" class="form-control" formControlName="Pasaporte" readonly>
          </div>
        </div>
        <div class="col-3">
          <label class="w-100">País</label>
          <div class="input-group">
            <input type="text" class="form-control" formControlName="Pais" readonly>
          </div>
        </div>
        <div class="col-3">
          <label class="w-100">Consec</label>
          <div class="input-group">
            <input type="text" class="form-control" formControlName="Consec" readonly>
          </div>
        </div>
        <div class="form-group col-2">
          <label class="w-100">De Moneda</label>
          <div class="input-group">
            <kendo-combobox [data]="listMoneda" [textField]="'mdesc'" [valueField]="'Moneda'"
              [placeholder]="'Seleccionar Moneda'" class="form-control" formControlName="DeMoneda"
              [valuePrimitive]="true"></kendo-combobox>
          </div>
        </div>
        <div class="form-group col-2">
          <label class="w-100">A Moneda</label>
          <div class="input-group">
            <kendo-combobox [data]="listMoneda" [textField]="'mdesc'" [valueField]="'Moneda'" readonly
              [placeholder]="'Seleccionar Moneda'" class="form-control" formControlName="HastaMoneda"
              [valuePrimitive]="true"></kendo-combobox>
          </div>
        </div>
        <div class="col-3">
          <label class="w-100">Monto</label>
          <div class="input-group">
            <input type="text" class="form-control" formControlName="Monto">
          </div>
        </div>
      </div>
    </form>
  </div>
</div>

<ng-template #modal let-modal let-c="close">
  <div class="modal-header">
    <h6 class="modal-title">Huespedes en Casa</h6>
    <button class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <app-buscar (resultFolio)="resultHuesped($event); c();"></app-buscar>
  </div>
  <div class="modal-footer">
    <button class="btn btn-secondary" (click)="c('Close click')">Cerrar</button>
  </div>
</ng-template>